# Custom Scheduled Events

A custom scheduled event notification is evaluated at the scheduled time of the related scheduled event on a daily basis. If the date meets the combination of the base field and the notification parameters, the notification will be triggered immediately.

For more information about Custom Scheduled Events, see <a href="https://knowledgecenter.zuora.com/Central_Platform/Events_and_Notifications/A_Z_Custom_Scheduled_Events" target="_blank">Custom Scheduled Events</a>.


## Create a scheduled event

 - [POST /events/scheduled-events](https://developer.zuora.com/v1-api-reference/api/custom-scheduled-events/post_scheduledevent.md): To create a custom scheduled event, you must specify the base object, the base field and the scheduled time.

## List all scheduled events

 - [GET /events/scheduled-events](https://developer.zuora.com/v1-api-reference/api/custom-scheduled-events/get_scheduledevents.md)

## Retrieve a scheduled event by ID

 - [GET /events/scheduled-events/{id}](https://developer.zuora.com/v1-api-reference/api/custom-scheduled-events/get_scheduledeventbyid.md)

## Update a scheduled event by ID

 - [PUT /events/scheduled-events/{id}](https://developer.zuora.com/v1-api-reference/api/custom-scheduled-events/update_scheduledeventbyid.md)

## Delete a scheduled event by ID

 - [DELETE /events/scheduled-events/{id}](https://developer.zuora.com/v1-api-reference/api/custom-scheduled-events/delete_scheduledeventbyid.md)

